### Eclipse Workspace Patch 1.0
#P TYPO3_4-2
Index: typo3/sysext/adodb/adodb/tests/test2.php
===================================================================
--- typo3/sysext/adodb/adodb/tests/test2.php	(revision 4551)
+++ typo3/sysext/adodb/adodb/tests/test2.php	(working copy)
@@ -1,4 +1,8 @@
 <?php
+	// This checks for my own IP at home. You can just remove the if-statement.
+if (1==0 || ($_SERVER['REMOTE_ADDR']!='127.0.0.1'))	{
+	die('In the source distribution of TYPO3, this script is disabled by a die() function call.<br/><b>Fix:</b> Open this file and remove/out-comment the line that outputs this message!');
+}
 
 // BASIC ADO test
 
@@ -9,13 +13,13 @@
 	$access = 'd:\inetpub\wwwroot\php\NWIND.MDB';
 	$myDSN =  'PROVIDER=Microsoft.Jet.OLEDB.4.0;'
 		. 'DATA SOURCE=' . $access . ';';
-		
+
 	echo "<p>PHP ",PHP_VERSION,"</p>";
-	
+
 	$db->Connect($myDSN) || die('fail');
-	
+
 	print_r($db->ServerInfo());
-	
+
 	try {
 	$rs = $db->Execute("select $db->sysTimeStamp,* from adoxyz where id>02xx");
 	print_r($rs->fields);
Index: typo3/sysext/adodb/adodb/tests/test-datadict.php
===================================================================
--- typo3/sysext/adodb/adodb/tests/test-datadict.php	(revision 4551)
+++ typo3/sysext/adodb/adodb/tests/test-datadict.php	(working copy)
@@ -1,12 +1,17 @@
 <?php
+	// This checks for my own IP at home. You can just remove the if-statement.
+if (1==0 || ($_SERVER['REMOTE_ADDR']!='127.0.0.1'))	{
+	die('In the source distribution of TYPO3, this script is disabled by a die() function call.<br/><b>Fix:</b> Open this file and remove/out-comment the line that outputs this message!');
+}
+
 /*
 
-  V4.81 3 May 2006  (c) 2000-2007 John Lim (jlim#natsoft.com.my). All rights reserved.
-  Released under both BSD license and Lesser GPL library license. 
-  Whenever there is any discrepancy between the two licenses, 
-  the BSD license will take precedence.
-	
-  Set tabs to 4 for best viewing.
+	V4.81 3 May 2006  (c) 2000-2007 John Lim (jlim#natsoft.com.my). All rights reserved.
+	Released under both BSD license and Lesser GPL library license.
+	Whenever there is any discrepancy between the two licenses,
+	the BSD license will take precedence.
+
+	Set tabs to 4 for best viewing.
 
 */
 
@@ -20,31 +25,31 @@
 
 	if (!$dict) continue;
 	$dict->debug = 1;
-	
+
 	$opts = array('REPLACE','mysql' => 'ENGINE=INNODB', 'oci8' => 'TABLESPACE USERS');
-	
+
 /*	$flds = array(
-		array('id',	'I',								
+		array('id',	'I',
 							'AUTO','KEY'),
-							
+
 		array('name' => 'firstname', 'type' => 'varchar','size' => 30,
 							'DEFAULT'=>'Joan'),
-							
+
 		array('lastname','varchar',28,
 							'DEFAULT'=>'Chen','key'),
-							
+
 		array('averylonglongfieldname','X',1024,
 							'NOTNULL','default' => 'test'),
-							
+
 		array('price','N','7.2',
 							'NOTNULL','default' => '0.00'),
-							
-		array('MYDATE', 'D', 
+
+		array('MYDATE', 'D',
 							'DEFDATE'),
 		array('TS','T',
 							'DEFTIMESTAMP')
 	);*/
-	
+
 	$flds = "
 ID            I           AUTO KEY,
 FIRSTNAME     VARCHAR(30) DEFAULT 'Joan' INDEX idx_name,
@@ -58,25 +63,25 @@
 
 	$sqla = $dict->CreateDatabase('KUTU',array('postgres'=>"LOCATION='/u01/postdata'"));
 	$dict->SetSchema('KUTU');
-	
+
 	$sqli = ($dict->CreateTableSQL('testtable',$flds, $opts));
 	$sqla = array_merge($sqla,$sqli);
-	
+
 	$sqli = $dict->CreateIndexSQL('idx','testtable','price,firstname,lastname',array('BITMAP','FULLTEXT','CLUSTERED','HASH'));
 	$sqla = array_merge($sqla,$sqli);
 	$sqli = $dict->CreateIndexSQL('idx2','testtable','price,lastname');//,array('BITMAP','FULLTEXT','CLUSTERED'));
 	$sqla = array_merge($sqla,$sqli);
-	
+
 	$addflds = array(array('height', 'F'),array('weight','F'));
 	$sqli = $dict->AddColumnSQL('testtable',$addflds);
 	$sqla = array_merge($sqla,$sqli);
 	$addflds = array(array('height', 'F','NOTNULL'),array('weight','F','NOTNULL'));
 	$sqli = $dict->AlterColumnSQL('testtable',$addflds);
 	$sqla = array_merge($sqla,$sqli);
-	
-	
+
+
 	printsqla($dbType,$sqla);
-	
+
 	if (file_exists('d:\inetpub\wwwroot\php\phplens\adodb\adodb.inc.php'))
 	if ($dbType == 'mysqlt') {
 		$db->Connect('localhost', "root", "", "test");
@@ -90,7 +95,7 @@
 		$sqla2 = $dict->ChangeTableSQL('adoxyz',$flds);
 		if ($sqla2) printsqla($dbType,$sqla2);
 	}
-	
+
 	if ($dbType == 'odbc_mssql') {
 		$dsn = $dsn = "PROVIDER=MSDASQL;Driver={SQL Server};Server=localhost;Database=northwind;";
 		if (@$db->Connect($dsn, "sa", "natsoft", "test"));
@@ -98,13 +103,13 @@
 		$sqla2 = $dict->ChangeTableSQL('adoxyz',$flds);
 		if ($sqla2) printsqla($dbType,$sqla2);
 	}
-	
-	
-	
+
+
+
 	adodb_pr($dict->databaseType);
 	printsqla($dbType, $dict->DropColumnSQL('table',array('my col','`col2_with_Quotes`','A_col3','col3(10)')));
 	printsqla($dbType, $dict->ChangeTableSQL('adoxyz','LASTNAME varchar(32)'));
-	
+
 }
 
 function printsqla($dbType,$sqla)
@@ -134,7 +139,7 @@
 averylonglongfieldname LONGTEXT NOT NULL,
 price            NUMERIC(7,2) NOT NULL DEFAULT 0.00,
 MYDATE           DATE DEFAULT CURDATE(),
-                 PRIMARY KEY (id, lastname)
+								 PRIMARY KEY (id, lastname)
 )TYPE=ISAM;
 CREATE FULLTEXT INDEX idx ON KUTU.testtable (firstname,lastname);
 CREATE INDEX idx2 ON KUTU.testtable (price,lastname);
@@ -161,17 +166,17 @@
 averylonglongfieldname CLOB NOT NULL,
 price            NUMBER(7,2) DEFAULT 0.00 NOT NULL,
 MYDATE           DATE DEFAULT TRUNC(SYSDATE),
-                 PRIMARY KEY (id, lastname)
+								 PRIMARY KEY (id, lastname)
 )TABLESPACE USERS;
 /
 DROP SEQUENCE KUTU.SEQ_testtable;
 /
 CREATE SEQUENCE KUTU.SEQ_testtable;
 /
-CREATE OR REPLACE TRIGGER KUTU.TRIG_SEQ_testtable BEFORE insert ON KUTU.testtable 
+CREATE OR REPLACE TRIGGER KUTU.TRIG_SEQ_testtable BEFORE insert ON KUTU.testtable
 		FOR EACH ROW
 		BEGIN
-		  select KUTU.SEQ_testtable.nextval into :new.id from dual;
+			select KUTU.SEQ_testtable.nextval into :new.id from dual;
 		END;
 /
 CREATE BITMAP INDEX idx ON KUTU.testtable (firstname,lastname);
@@ -179,12 +184,12 @@
 CREATE INDEX idx2 ON KUTU.testtable (price,lastname);
 /
 ALTER TABLE testtable ADD (
- height           NUMBER,
- weight           NUMBER);
+height           NUMBER,
+weight           NUMBER);
 /
 ALTER TABLE testtable MODIFY(
- height           NUMBER NOT NULL,
- weight           NUMBER NOT NULL);
+height           NUMBER NOT NULL,
+weight           NUMBER NOT NULL);
 /
 
 
@@ -203,7 +208,7 @@
 averylonglongfieldname TEXT NOT NULL,
 price            NUMERIC(7,2) DEFAULT 0.00 NOT NULL,
 MYDATE           DATE DEFAULT CURRENT_DATE,
-                 PRIMARY KEY (id, lastname)
+								 PRIMARY KEY (id, lastname)
 );
 CREATE INDEX idx ON KUTU.testtable USING HASH (firstname,lastname);
 CREATE INDEX idx2 ON KUTU.testtable (price,lastname);
@@ -224,13 +229,13 @@
 averylonglongfieldname TEXT NOT NULL,
 price            NUMERIC(7,2) DEFAULT 0.00 NOT NULL,
 MYDATE           DATETIME DEFAULT GetDate(),
-                 PRIMARY KEY (id, lastname)
+								 PRIMARY KEY (id, lastname)
 );
 CREATE CLUSTERED INDEX idx ON KUTU.testtable (firstname,lastname);
 CREATE INDEX idx2 ON KUTU.testtable (price,lastname);
 ALTER TABLE KUTU.testtable  ADD
- height           REAL,
- weight           REAL;
+height           REAL,
+weight           REAL;
 ALTER TABLE KUTU.testtable  ALTER COLUMN height           REAL NOT NULL;
 ALTER TABLE KUTU.testtable  ALTER COLUMN weight           REAL NOT NULL;
 
Index: typo3/sysext/adodb/adodb/tests/testcache.php
===================================================================
--- typo3/sysext/adodb/adodb/tests/testcache.php	(revision 4551)
+++ typo3/sysext/adodb/adodb/tests/testcache.php	(working copy)
@@ -1,14 +1,19 @@
 <html>
 <body>
 <?php
-/* 
+	// This checks for my own IP at home. You can just remove the if-statement.
+if (1==0 || ($_SERVER['REMOTE_ADDR']!='127.0.0.1'))	{
+	die('In the source distribution of TYPO3, this script is disabled by a die() function call.<br/><b>Fix:</b> Open this file and remove/out-comment the line that outputs this message!');
+}
+
+/*
 V4.80 8 Mar 2006  (c) 2000-2007 John Lim (jlim#natsoft.com.my). All rights reserved.
-  Released under both BSD license and Lesser GPL library license. 
-  Whenever there is any discrepancy between the two licenses, 
-  the BSD license will take precedence. 
-  Set tabs to 4 for best viewing.
-	
-  Latest version is available at http://adodb.sourceforge.net
+	Released under both BSD license and Lesser GPL library license.
+	Whenever there is any discrepancy between the two licenses,
+	the BSD license will take precedence.
+	Set tabs to 4 for best viewing.
+
+	Latest version is available at http://adodb.sourceforge.net
 */
 
 $ADODB_CACHE_DIR = dirname(tempnam('/tmp',''));
Index: typo3/sysext/adodb/adodb/tests/testpear.php
===================================================================
--- typo3/sysext/adodb/adodb/tests/testpear.php	(revision 4551)
+++ typo3/sysext/adodb/adodb/tests/testpear.php	(working copy)
@@ -1,12 +1,17 @@
 <?php
-/* 
+	// This checks for my own IP at home. You can just remove the if-statement.
+if (1==0 || ($_SERVER['REMOTE_ADDR']!='127.0.0.1'))	{
+	die('In the source distribution of TYPO3, this script is disabled by a die() function call.<br/><b>Fix:</b> Open this file and remove/out-comment the line that outputs this message!');
+}
+
+/*
 V4.80 8 Mar 2006  (c) 2000-2007 John Lim (jlim#natsoft.com.my). All rights reserved.
-  Released under both BSD license and Lesser GPL library license. 
-  Whenever there is any discrepancy between the two licenses, 
-  the BSD license will take precedence. 
-  Set tabs to 4 for best viewing.
-	
-  Latest version is available at http://adodb.sourceforge.net
+	Released under both BSD license and Lesser GPL library license.
+	Whenever there is any discrepancy between the two licenses,
+	the BSD license will take precedence.
+	Set tabs to 4 for best viewing.
+
+	Latest version is available at http://adodb.sourceforge.net
 */
 
 error_reporting(E_ALL);
